petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchGetNumberFunctionEvaluations

Gets the number of function and gradient evaluation routines used by the line search in last application (not cumulative).

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetNumberFunctionEvaluations(TaoLineSearch ls, PetscInt *nfeval, PetscInt *ngeval, PetscInt *nfgeval)

Not Collective Many br

### Input Parameter

ls -the TaoLineSearch context Many br

### Output Parameters

| nfeval | - number of function evaluations Many br
| ngeval | - number of gradient evaluations Many br
| nfgeval | - number of function/gradient evaluations Many br

Many br

### Note

If the line search is using the Tao objective and gradient Many brroutines directly (see TaoLineSearchUseTaoRoutines()), then TAO Many bris already counting the number of evaluations. Many br

Level:intermediate
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages